BizKitHub
DocsAPI ReferenceProject Rate/bff/project-rate/write
postProject RateAdmin BFF

/bff/project-rate/write

Validity windows must not overlap per (organisation, project). Overlap returns a 400 with guidance.

ProjectRatepostBffProject-rateWrite

Parameters

JSON body

Request body

application/json
idnumberOptional
projectIdnumberRequired
costRatePerHournumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
billingRatePerHournumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
currencystringOptional
billingModestringOptional
fixedPriceAmountnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
billingIncrementMinutesnumberOptional
roundingPolicystringOptional
validFromstringRequired

Inclusive lower bound (YYYY-MM-DD).

validTostring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/project-rate/write

post
curl -X POST "https://api.bizkithub.com/bff/project-rate/write" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 0,
  "projectId": 0,
  "currency": "example_currency",
  "billingMode": "example_billingMode",
  "billingIncrementMinutes": 0,
  "roundingPolicy": "example_roundingPolicy",
  "validFrom": "example_validFrom"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key